import org.junit.Assert;
import org.junit.Test;

public class GoodUnitTest {
	@Test
	public void testTooLong() {
		String len13 = "1234567891111";
		Assert.assertEquals(len13.length(), 13);
		Assert.assertEquals(ReferenceNumber.validate(len13), false);
	}

	@Test
	public void testTooShort() {
		String len7 = "1234567";
		Assert.assertEquals(len7.length(), 7);
		Assert.assertEquals(ReferenceNumber.validate(len7), false);
	}

	@Test
	public void testOk() {
		String len8 = "12345678";
		Assert.assertEquals(len8.length(), 8);
		Assert.assertEquals(ReferenceNumber.validate(len8), true);

		String len12 = "123456789111";
		Assert.assertEquals(len12.length(), 12);
		Assert.assertEquals(ReferenceNumber.validate(len12), true);
	}

}
